> For the complete documentation index, see [llms.txt](https://docs.scanner.dev/scanner/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.scanner.dev/scanner/using-scanner-complete-feature-reference/developer-tools/api/info.md).

# Info Queries

## Query capacity

<mark style="color:blue;">**`GET`**</mark> `/v1/info/query_capacity`

Retrieve query capacity metrics and configuration

**Query parameters**

| Name                                                 | Type   | Description                      |
| ---------------------------------------------------- | ------ | -------------------------------- |
| `tenant_id` <mark style="color:red;">required</mark> | string | Unique identifier for the tenant |

**Example**

```bash
curl -G $API_BASE/v1/info/query_capacity \
--data-urlencode "tenant_id=00000000-0000-0000-0000-000000000001" \
-H "Authorization: Bearer $SCANNER_API_KEY" \
-H "Content-Type: application/json"
```

**Response**

Returns query capacity usage and configuration values for the given tenant for the current calendar month.

\| Name | Type | Description | | this\_month\_used\_query\_capacity\_gb | number | The amount of query capacity used this month. | | this\_month\_provisioned\_query\_capacity\_gb | number | The amount of query capacity provisioned for this month. | | this\_month\_on\_demand\_query\_capacity\_gb | number | The amount of query capacity used this month that is over the provisioned amount. | | number\_of\_days\_this\_month | number | The number of days in this month. | | contract\_provisioned\_query\_capacity\_gb\_per\_day | number | The amount of query capacity provisioned per day according to the contract. |

```json
{
  "this_month_used_query_capacity_gb": 0.0,
  "this_month_provisioned_query_capacity_gb": 0.0,
  "this_month_on_demand_query_capacity_gb": 0.0,
  "number_of_days_this_month": 31,
  "contract_provisioned_query_capacity_gb_per_day": 0.0
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.scanner.dev/scanner/using-scanner-complete-feature-reference/developer-tools/api/info.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
